%define rname qt
%define name qt2
%define version 2.1.0
%define url 

Summary: Shared library for the Qt2 GUI toolki
Name: %{name}
Version: %{version}
Release: 5mdk
Source0: ftp://ftp.troll.no/qt/snapshots/%{rname}-x11-%{version}.tar.bz2
Copyright: QPL
Group: System/Libraries
URL: http://www.trolltech.com/products/qt.html
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

========================================================
This package contains the shared library needed to run Qt2 applications, as
well as the README files for Qt.

#
%package devel
Summary: Header files and libraries for developing apps which will use Qt2.
Group: Development/KDE and QT
Requires: %{name}

%description devel
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

================================================================
This package contains the files necessary to develop applications See
http://www.troll.no for more information about Qt.

#
%package doc
Summary: Document for developing apps which will use Qt2.
Group: Development/KDE and QT
## This builds all packages with noarch ??
##BuildArchitectures: noarch

%description doc
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

========================================================
This package contains documentation and example programs. See
http://www.troll.no for more information about Qt.


%prep
%setup -q -n %{rname}-%{version}

%build
export QTDIR=$(/bin/pwd)
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -frtti -fexceptions"

MAKETARGET="moc src util" # we don't want to build tutorial and examples
make symlinks
./configure -shared -gif -sm -system-zlib -system-libpng
uname -a |grep -iq smp && {
make -j 2 SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" SYSCONF_CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" $MAKETARGET
} || make SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" SYSCONF_CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" $MAKETARGET

./configure -static -gif -sm -system-zlib -system-libpng
uname -a |grep -iq smp && {
make -j 2 SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" SYSCONF_CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" src
} || make SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" SYSCONF_CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" src

(
cd extensions/opengl/src
make
)

%install
rm -rf $RPM_BUILD_ROOT

OUTQTDIR=$RPM_BUILD_ROOT/%{prefix}/lib/qt2
mkdir -p $OUTQTDIR/bin $OUTQTDIR/lib $OUTQTDIR/include $RPM_BUILD_ROOT/%{prefix}/lib

#
install -m755 bin/moc $OUTQTDIR/bin/

for i in bin/{findtr,qt20fix,qtrename140};do
    install -m755 $i $OUTQTDIR/bin/
done

#
install -m755 lib/libqt.so.2 $OUTQTDIR/lib/
install -m644 lib/libqt.a $OUTQTDIR/lib/
install -m644 lib/libqgl.a $OUTQTDIR/lib/
install -m755 lib/libqt.so.2 $RPM_BUILD_ROOT/%{prefix}/lib/
(
    cd $OUTQTDIR/lib
    ln -s libqt.so.2 libqt.so
    ln -s libqt.so.2 libqt.so.2.1
    ln -s libqt.so.2 libqt2.so
)
(
    cd $RPM_BUILD_ROOT/%{prefix}/lib
	ln -s libqt.so.2 libqt2.so
	ln -s libqt.so.2 libqt2.so.2.1
)


#
cp -fR include/. $OUTQTDIR/include

#
cp -arf doc/man/ $RPM_BUILD_ROOT/%{prefix}/

(
    cd $RPM_BUILD_ROOT/%{prefix}/man/
    for i in $(find . -name \*.3qt);do
    NEW=$(echo $i|sed 's/\.3qt$/.3qt21/') # using 21 since 2.1 might be a problem
    mv -f $i $NEW
    done
)
mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man1
cp src/moc/moc.1 $RPM_BUILD_ROOT/%{prefix}/man/man1/moc21.1 # using 21 since 2.1 might be a problem

#Not necessary anymore, says the mdk-rpm howto
#but without it they are not bzipped !
find $RPM_BUILD_ROOT/%{prefix}/man/ -type f|xargs bzip2 -9f

#
OUTDOCDIR=$RPM_BUILD_ROOT/%{prefix}/share/doc/qt-%{version}
mkdir -p $OUTDOCDIR

cp -arf examples/ $OUTDOCDIR/
cp -arf tutorial/ $OUTDOCDIR/tutorial-examples
cp -arf doc/html/ $OUTDOCDIR/

find $OUTDOCDIR/{examples,tutorial-examples} -name Makefile| \
xargs perl -pi -e 's|^SYSCONF_MOC.*|SYSCONF_MOC		= /$OUTDOCDIR/bin/moc|'

#We don't compile them anymore
#(
    #cd $OUTDOCDIR/examples
    #find . -type f -perm 755|xargs rm
    #cd $OUTDOCDIR/tutorial-examples
    #find . -type f -perm 755|xargs rm
    #make clean
#)

#
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
    file $i|grep -q "not stripped" && strip $i
done

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ANNOUNCE FAQ LICENSE.QPL PLATFORMS README README.QT changes-2.1.0
%{prefix}/lib/qt2/lib/*.so.*
%{prefix}/lib/*.so.*

%files devel
%defattr(-,root,root,0755)
%{prefix}/lib/qt2/bin/*
%{prefix}/lib/qt2/include/*
%{prefix}/lib/qt2/lib/*.a
%{prefix}/lib/qt2/lib/*.so

%files doc
%defattr(-,root,root,0755)
%doc PORTING
%doc %{prefix}/share/doc/qt-%{version}/
%doc %{prefix}/man/man1/moc21.1*
%doc %{prefix}/man/man*/*.3qt21*

%changelog
* Sat May  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.0-5mdk
- fixed conflicting files in qt2 and qt2-devel

* Mon Apr 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-4mdk
- changed back to QTDIR being /usr/lib/qt2

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-3mdk
- bowed to a bunch of email complaints and moved the development dir 
  from /usr/lib/qt2/... to /usr/include/qt2/.... QTDIR=/usr/include/qt2

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-2mdk
- Fixed a missing libqt2.so link.

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-1mdk
- Update to release version 2.1.0

* Fri Mar 24 2000 David Faure <david@mandrakesoft.com> 2.1.0-0.3.1mdk

- Upgraded to 2.1 beta 3
- Removed libqimgio2, now part of qt
- Changed installation directories to respect a QTDIR (/usr/lib/qt-2.1.0)
- Allows to keep Qt 2.0 and Qt 1.x around.
- Removed BuildArchitectures hack.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.1-10mdk

- BuildArchitectures only on non-x86.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.1-9mdk

- removed BuildArchitecture

* Sat Oct 23 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Add "alpha" as build architecture (pixel's rebuild)

* Mon Sep 20 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add libqgl2.a and libqimgio2.a to make KDE 2.0 happy

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- replace qstrlist.h with a version that works

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- rename /usr/lib/libqt.a to /usr/lib/libqt2.a to avoid conflict with
  qt 1.44
- Add libqt2.so link to libqt.so.2 so we can do -lqt2

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.


# end of file
